#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'skin_settings_ui.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "skin_settings_ui.h"

#include <ntqvariant.h>
#include <kcolorbutton.h>
#include <klineedit.h>
#include <tdelistview.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a SkinSettingsUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SkinSettingsUI::SkinSettingsUI( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "SkinSettingsUI" );
    SkinSettingsUILayout = new TQGridLayout( this, 1, 1, 0, KDialog::spacingHint(), "SkinSettingsUILayout"); 

    kcfg_skin = new KLineEdit( this, "kcfg_skin" );

    SkinSettingsUILayout->addMultiCellWidget( kcfg_skin, 3, 3, 0, 1 );

    remove_button = new TQPushButton( this, "remove_button" );
    remove_button->setEnabled( FALSE );

    SkinSettingsUILayout->addWidget( remove_button, 2, 1 );

    install_button = new TQPushButton( this, "install_button" );

    SkinSettingsUILayout->addWidget( install_button, 2, 0 );

    skinbglayout = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "skinbglayout"); 

    skinbgcolor_label = new TQLabel( this, "skinbgcolor_label" );
    skinbgcolor_label->setEnabled( FALSE );
    skinbglayout->addWidget( skinbgcolor_label );

    kcfg_skinbgcolor = new KColorButton( this, "kcfg_skinbgcolor" );
    kcfg_skinbgcolor->setEnabled( FALSE );
    skinbglayout->addWidget( kcfg_skinbgcolor );
    skinbgspacer = new TQSpacerItem( 290, 0, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    skinbglayout->addItem( skinbgspacer );

    SkinSettingsUILayout->addMultiCellLayout( skinbglayout, 0, 0, 0, 1 );

    skins_list = new TDEListView( this, "skins_list" );
    skins_list->addColumn( tr2i18n( "Skin" ) );

    SkinSettingsUILayout->addMultiCellWidget( skins_list, 1, 1, 0, 1 );
    languageChange();
    resize( TQSize(462, 545).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SkinSettingsUI::~SkinSettingsUI()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SkinSettingsUI::languageChange()
{
    remove_button->setText( tr2i18n( "Remove Skin" ) );
    install_button->setText( tr2i18n( "Install Skin..." ) );
    skinbgcolor_label->setText( tr2i18n( "Skin background color:" ) );
    kcfg_skinbgcolor->setText( TQString::null );
    TQWhatsThis::add( kcfg_skinbgcolor, tr2i18n( "This controls the color of the surface that translucent skin elements are composited upon. This setting is only available if Yakuake is run outside of TDE and translucency is unavailable." ) );
    skins_list->header()->setLabel( 0, tr2i18n( "Skin" ) );
}

/****************************************************************************
** SkinSettingsUI meta object code from reading C++ file 'skin_settings_ui.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "skin_settings_ui.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *SkinSettingsUI::className() const
{
    return "SkinSettingsUI";
}

TQMetaObject *SkinSettingsUI::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_SkinSettingsUI( "SkinSettingsUI", &SkinSettingsUI::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString SkinSettingsUI::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "SkinSettingsUI", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString SkinSettingsUI::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "SkinSettingsUI", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* SkinSettingsUI::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"SkinSettingsUI", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_SkinSettingsUI.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* SkinSettingsUI::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "SkinSettingsUI" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool SkinSettingsUI::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool SkinSettingsUI::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool SkinSettingsUI::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool SkinSettingsUI::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
